extends Node


const PORT : int = 9374



func _ready() -> void:
	get_tree().connect("connected_to_server", self, "_connected_to_server")
	get_tree().connect("server_disconnected", self, "_server_disconnected")
	get_tree().connect("connection_failed", self, "_connection_failed")

func _connected_to_server() -> void:
	print("Connected to server") # Let the server know all about us (eg name)

func _server_disconnected() -> void:
	print("Disconnected from server") # Kick us out the game and bring back the lobby (if applicable)

func _connection_failed() -> void:
	print("Connection Error")



func _on_StartButton_pressed() -> void:
	var ip_addr : String = $Lobby/IPLineEdit.text
	var peer : NetworkedMultiplayerENet = NetworkedMultiplayerENet.new()
	peer.create_client(ip_addr, PORT)
	get_tree().set_network_peer(peer)
